Package org.apache.avro.mojo

# Class IDLMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.avro.mojo.AbstractAvroMojo
org.apache.avro.mojo.IDLMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

Direct Known Subclasses:
  `IDLProtocolMojo`

public class IDLMojo extends AbstractAvroMojo
Generate Java classes and interfaces from AvroIDL files (.avdl)

## Field Summary

### Fields inherited from class org.apache.avro.mojo.AbstractAvroMojo

`createNullSafeAnnotations, createOptionalGetters, createSetters, customConversions, customLogicalTypeFactories, enableDecimalLogicalType, excludes, gettersReturnOptional, imports, optionalGettersForNullableFieldsOnly, project, stringType, templateDirectory, testExcludes, velocityToolsClassesNames`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`IDLMojo()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doCompile(String filename, File sourceDirectory, File outputDirectory)`
`protected String[]`
`getIncludes()`
`protected String[]`
`getTestIncludes()`

### Methods inherited from class org.apache.avro.mojo.AbstractAvroMojo

`createClassLoader, doCompile, doCompile, doCompile, execute, findClasspath, getFieldVisibility, instantiateAdditionalVelocityTools`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IDLMojo

public IDLMojo()

## Method Details

### doCompile

protected void doCompile(String filename, File sourceDirectory, File outputDirectory) throws IOException

Overrides:
  `doCompile` in class `AbstractAvroMojo`
Throws:
  `IOException`

### getIncludes

protected String[] getIncludes()

Specified by:
  `getIncludes` in class `AbstractAvroMojo`

### getTestIncludes

protected String[] getTestIncludes()

Specified by:
  `getTestIncludes` in class `AbstractAvroMojo`